# Product Fetcher
## a data fetching utility for the AAT-PPI and Workspaces projects

Use cases the product fetcher is intended to handle:
   * works for both science products and ancillary products
   * download a product from the NRAO or ALMA archive by specifying its product locator
   * download a product from the NRAO or ALMA archive by providing a path to a locator report
   * streaming or direct copy downloads based on file location and execution site

This is intended to be a library wrapped in a command line interface.

```
usage: productfetcher [-h] [--concurrency CONCURRENCY] [--dry-run | --force]
(--product-locator PRODUCT_LOCATOR | --location-file LOCATION_FILE) [--direct-copy | --streaming]

Retrieve a product (a science product or an ancillary product)
from the NRAO archive, either by specifying the product's locator or by
providing the path to a product locator report.

optional arguments:
  -h, --help            show this help message and exit
  --concurrency CONCURRENCY
                        maxmimum threads per plan (set to 1 for no threading)
  --product-locator PRODUCT_LOCATOR
                        product locator to download
  --location-file LOCATION_FILE
                        product locator report (in JSON)
  --dry-run             dry run; do not fetch product
  --force               overwrite existing file(s) at dest
  --direct-copy         force direct-copy from NGAS
  --streaming           force streaming from NGAS
```
