"""add directory clean up tracking to workflow requests

Revision ID: 0c62d7748b11
Revises: 90a1c99bde38
Create Date: 2022-03-10 14:03:06.004264

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "0c62d7748b11"
down_revision = "90a1c99bde38"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "workflow_requests",
        sa.Column(
            "cleaned",
            sa.Boolean,
            server_default="False",
            nullable=False,
            comment="has this processing directory been annihilated?",
        ),
    )


def downgrade():
    op.drop_column("workflow_requests", "cleaned")
